#include "main.h"

extern unsigned procs;
extern unsigned iterations;
extern unsigned initial_nodes;
extern unsigned debug;
extern char* Fd_name;

void 
parse_args(int argc,char **argv)
{
extern char * optarg; 
int c; 

  while((c=getopt(argc,argv,"D:di:n:p:"))!=EOF)
    switch(c){
    case 'D':
      Fd_name = optarg;
      break;
    case 'd':
      debug = 1;
      break;
    case 'i':
      iterations = atoi(optarg);
      break;
    case 'n':
      initial_nodes = atoi(optarg);
      break;
    case 'p':
      procs = atoi(optarg);
      break;
    default: 
      assert(0);
    }
}
