#define TRUE				1
#define FALSE				0
#define NULL				0

#define MAX_NODES			0xff

#define MAKE_LONG(lo, hi)		((hi)<<16)+(lo)

typedef union pointer {
  struct {
    volatile unsigned short count;
    volatile unsigned short ptr;
  } sep;
  volatile unsigned long con;
}pointer_t;

typedef struct node {
  unsigned value;
  pointer_t next;
  unsigned foo[30];
} node_t;

typedef struct private {
  unsigned node;
  unsigned value;
} private_t;

typedef struct shared_mem {
  pointer_t head;
  unsigned foo1[30];
  pointer_t tail;
  unsigned foo2[30];
  node_t nodes[MAX_NODES+1];
} shared_mem_t;

