#define TRUE				1
#define FALSE				0
#define NULL				0

#define MARK_MASK			1
#define CLEAR_MARK(val)			((val) & (~MARK_MASK))
#define ENQUEUE_C			0
#define DEQUEUE_C			1

#define MAX_NODES			0xfff
#define MAKE_LONG(lo, hi)		((hi)<<16)+(lo)

typedef union pointer {
  struct {
    volatile unsigned short count;
    volatile unsigned short ptr;
  } sep;
  volatile unsigned long con;
}pointer_t;

typedef struct node {
  unsigned value;
  pointer_t next;
  unsigned foo[30];
} node_t;

typedef struct private {
  pointer_t head;
  pointer_t tail;
  pointer_t next;
  unsigned node;
  unsigned value;
} private_t;

typedef struct shared_mem {
  pointer_t head;
  pointer_t tail;
  node_t nodes[MAX_NODES+1];
} shared_mem_t;
