#include "main.h"

extern unsigned pid;
extern unsigned iterations;
extern unsigned initial_nodes;
extern unsigned backoff;
extern unsigned backoff_base;
extern private_t private;
extern shared_mem_t* smp;

void
init_private()
{
  private.node = 2 + initial_nodes + pid;
  private.value = 1 + initial_nodes + (pid * iterations);
}

void
init_memory()
{
}

unsigned
new_node()
{
  return private.node;
}

void
reclaim(unsigned node)
{
  private.node = node;
}

void
init_queue()
{
  unsigned i;

  /* initialize queue */
  smp->head.sep.ptr = 1;
  smp->head.sep.count = 0;
  smp->tail.sep.ptr = 1;
  smp->tail.sep.count = 0;
  smp->nodes[1].next.sep.ptr = NULL;
  smp->nodes[1].next.sep.count = 0;
  
  /* initialize avail list */
  for (i=2; i<MAX_NODES; i++) {
    smp->nodes[i].next.sep.ptr = i+1;
    smp->nodes[i].next.sep.count = 0;
  }
  smp->nodes[MAX_NODES].next.sep.ptr = NULL;
  smp->nodes[MAX_NODES].next.sep.count = 0;
  
  /* initialize queue contents */
  if (initial_nodes > 0) {
    for (i=2; i<initial_nodes+2; i++) {
      smp->nodes[i].value = i;
      smp->nodes[i-1].next.sep.ptr = i;
      smp->nodes[i].next.sep.ptr = NULL;
    }
    smp->head.sep.ptr = 1;
    smp->tail.sep.ptr = 1 + initial_nodes;    
  }
}

void
enqueue(unsigned val)
{
}

unsigned
dequeue()
{
  unsigned value;

  return value;
}

